class 'p02_l01_column01'
function p02_l01_column01:__init()
 self.state=nil
 self.positionDown=nil
 self.positionUp=nil

 self.arrChengesEl={}
 self.object=nil
 self.tween=nil
 self.factor=nil
 self.number=nil
end



function p02_l01_column01:setIndex(param)
    self.index=param
end

function p02_l01_column01:getIndex()
    return self.index
end

function p02_l01_column01:setObject(param)
  self.object=param
end

function p02_l01_column01:getObject()
 return self.object
end

function p02_l01_column01:setState(param)
  self.state=param
end

function p02_l01_column01:getState()
 return self.state
end

function p02_l01_column01:setPosFinish(param)
  self.positionDown=param
end

function p02_l01_column01:getPosFinish()
  return self.positionDown
end

function p02_l01_column01:setPosStart(param)
  self.positionUp=param
end

function p02_l01_column01:getPosStart()
  return self.positionUp
end

function p02_l01_column01:setArrChenges(param)
  self.arrChengesEl=param
end

function p02_l01_column01:getArrChenges()
  return self.arrChengesEl
end

function p02_l01_column01:setTween(param)
  self.tween=param
end

function p02_l01_column01:getTween()
  return self.tween
end

function p02_l01_column01:setFactor(param)
  self.factor=param
end

function p02_l01_column01:getFactor()
  return self.factor
end

function p02_l01_column01:setNumber(param)
  self.number=param
end

function p02_l01_column01:getNumber()
  return self.number
end

--function p02_l01_column01:getState()
-- return self.state
--end
 --factor

